Subject: IPP>MOD Issue with Conditionally Mandatory

From: [email-masked] (Robert Herriot)
Date: Fri, 18 Jul 1997 19:31:23 -0700

I have a concern about the concept of conditionally-mandatory which
applies to all job template attributes.  I think it doesn't really help
us understand what a conforming implementation must implement.

After writing the paragraphs below, I have concluded that job-template
attributes should all be optional, and we should drop the
"conditionally mandatory" term.  At the very least, they have to be
optional for print servers.  There may be some argument for making some
of them conditionally mandatory in embedded printers, but the extra
complexity of the explanation may not be worth the trouble. We all need
to give this issue some more thought. As long as the explanation is so
murky, I don't think any two people would come up with the same list of
mandatory attributes for an implementation and that is no better than
making them optional